Download it now!
Bug 34774 - UI: Select entry from input list for a field with a double click
Summary: UI: Select entry from input list for a field with a double click
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Fields
  Show dependency treegraph
 
Reported: 2011-02-26 10:41 UTC by Sebastian G. <bastik>
Modified: 2017-05-30 23:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian G. <bastik> 2011-02-26 10:41:19 UTC
Current situation:

After one added an field with an input list you click left on the field to select the correct entry form the input list. After you selected an item you have to click OK.

My first action to select an entry was a double left click on the item but it does not work.

Improved situation:
What I would like see is that it still works like above but that one can select any entry by double left clicking it.

Then it will be faster and for me more intuitive.
Comment 1 Björn Michaelsen 2011-12-23 11:45:40 UTC Comment hidden (obsolete)
Comment 2 khagaroth 2012-01-26 07:57:39 UTC
Still applies to 3.5.
Comment 3 Joel Madero 2014-07-13 01:33:32 UTC Comment hidden (obsolete)
Comment 4 Sebastian G. <bastik> 2014-07-13 07:28:32 UTC
This is still valid for version 4.2 (4.2.3.3) on Windows 7 and probably on all other platforms.

As a non-developer I believe this is a trivial change. Does this tracker make use of keywords like "easy" to point contributors to fixes/enhancements that are (supposedly) easy to implement? (I'm unable to write code, but some can do something about it, even if they are not familiar with the code base.)
Comment 5 Sebastian G. <bastik> 2014-08-02 15:15:00 UTC
This is still valid for version 4.3 (4.3.0.4) on Windows 7.
Comment 6 Maxim Britov 2014-11-22 09:49:52 UTC
4.3.4.1
4.4.0.0.beta1

too
Comment 7 Sebastian G. <bastik> 2015-01-31 08:31:58 UTC
This is still valid for 4.4.0.3

(Thanks for the release of 4.4. as it's awesome and blazingly fast)
Comment 8 Commit Notification 2015-12-11 06:45:49 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd05eec9e30647394c0624c94b97e46bf8b7533f

tdf#34774: enabled double click in input list field dialog

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2016-09-15 20:47:16 UTC
Hi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Regards
Comment 10 Thomas Lendo 2017-05-30 23:46:04 UTC
Fixed.

Version: 5.5.0.0.alpha0+
Build ID: 5c16d16ed3db32f922b2aeaad49592d2615c7e2c
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-26_23:00:41
Locale: de-DE (de_DE.UTF-8); Calc: group